OpenapiAuthentication
Exchange or refresh an OAuth token
Exchanges an authorization grant for access tokens or refreshes an existing token.
Request Body
application/x-www-form-urlencoded
TypeScript Definitions
Use the request body type in TypeScript.
Supports authorization-code PKCE, refresh, and a compatibility password grant.
Supports authorization-code PKCE, refresh, and a compatibility password grant.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/oauth/token" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d 'grant_type=authorization_code&code=synthetic-authorization-code&redirect_uri=https%3A%2F%2Fexample.invalid%2Fcallback&code_verifier=synthetic-code-verifier&client_id=synthetic-client'{ "access_token": "synthetic-access-token", "refresh_token": "synthetic-refresh-token", "expires_in": 3600, "token_type": "bearer", "scope": "client"}